<div class="row mt-5">
    <div class="col-md-12">
        <h1>Administration des Médecins Généralistes</h1>
        <!-- Bouton des listes-->
        <div class="row">
            <div class="col-sm-1"></div>
            <div class="col-sm-4" style="text-align: center;" >
                <button type="button" class="btn btn-primary btn-sm waves-light" disabled>Liste des Médecins Généralistes</button>
            </div>
            <div class="col-sm-4" style="text-align: center" >
                <button type="button" class="btn btn-primary btn-sm waves-light" (click)="getAllSpec()">Liste des Médecins Spécialistes</button>
            </div>
            <div class="col-sm-3">
                <button type="button" class="btn btn-success btn-sm waves-light" style="float: right;" (click)="addMedGen()">Ajouter un Generaliste</button>
            </div>
        </div>
        <!--Card-->
        <div class="card card-cascade narrower mt-5">
            <!--Card image-->
            <div class="view gradient-card-header blue darken-2">
                <h4 class="h4-responsive text-white">Médecins Généralistes</h4>
            </div>
            <!--/Card image-->
            <!--Card content-->
            <table class="table table-hover">
                <thead>
                  <tr>
                    <th scope="col">#</th>
                    <th scope="col">Nom</th>
                    <th scope="col">Prenom</th>
                    <th scope="col">Date Naissance</th>
                    <th scope="col">Email</th>
                    <th scope="col">Photo</th>
                    <th scope="col">Code Publique</th>
                    <th scope="col">Option</th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let medecin of medecins">
                   
                    <td>{{medecin.id}}</td>
                    <td>{{medecin.nom}}</td>
                    <td>{{medecin.prenom}}</td>
                    <td>{{medecin.dateNaissance}}</td>
                    <td>{{medecin.email}}</td>
                    <td>{{medecin.photo}}</td>
                    <td>{{medecin.codePublic}}</td>
                    <td class="nav justify-content-center">
                      <input type="image" src="../../../../assets/img/edit.png" (click)="editMedecinGen(medecin)"  />
                      <input type="image" src="../../../../assets/img/delete.png" (click)="deleteMedecin(medecin)" alt="Texte en gras" style="cursor:pointer;"  />
                  </td>
                  </tr>
                </tbody>
              </table>
            <!--/.Card content-->
        </div>
        <!--/.Card-->
    </div>
  </div>
  
